> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Update Facebook Instant Games

> Creates the Facebook Instant Games addon on a title, or updates it if it already exists.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| AddonAlreadyExists | 19008 |
| BillingInformationRequired | 1266 |
| CatalogBadRequest | 4013 |
| CatalogConfigInvalid | 4010 |
| InvalidEntityType | 1373 |
| InvalidParams | 1000 |
| InvalidTitleId | 1004 |




## OpenAPI

````yaml /services/playfab/api-references/rest/addons/addons.openapi.json post /Addon/CreateOrUpdateFacebookInstantGames
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Addon API
  description: APIs for managing addons.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Addon
    description: Addon APIs
paths:
  /Addon/CreateOrUpdateFacebookInstantGames:
    post:
      tags:
        - Addon
      summary: Create Or Update Facebook Instant Games
      description: >
        Creates the Facebook Instant Games addon on a title, or updates it if it
        already exists.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | AddonAlreadyExists | 19008 |

        | BillingInformationRequired | 1266 |

        | CatalogBadRequest | 4013 |

        | CatalogConfigInvalid | 4010 |

        | InvalidEntityType | 1373 |

        | InvalidParams | 1000 |

        | InvalidTitleId | 1004 |
      operationId: CreateOrUpdateFacebookInstantGames
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrUpdateFacebookInstantGamesRequest'
      responses:
        '200':
          $ref: '#/components/responses/CreateOrUpdateFacebookInstantGamesResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    CreateOrUpdateFacebookInstantGamesRequest:
      type: object
      properties:
        AppID:
          description: >-
            Facebook App ID obtained after setting up your app in Facebook
            Instant Games.
          type: string
        AppSecret:
          description: >-
            Facebook App Secret obtained after setting up your app in Facebook
            Instant Games.
          type: string
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
        ErrorIfExists:
          description: If an error should be returned if the addon already exists.
          type: boolean
      required:
        - AppID
        - AppSecret
      example:
        AppID: '123456'
        AppSecret: '654321'
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    CreateOrUpdateFacebookInstantGamesResponse:
      type: object
      properties: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    CreateOrUpdateFacebookInstantGamesResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: >-
                  #/components/schemas/CreateOrUpdateFacebookInstantGamesResponse
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Create Or Update Facebook Instant Games](/services/playfab/api-references/rest/addons/addon/create-or-update-facebook-instant-games.md)
- [Get Facebook Instant Games](/api-reference/addon/get-facebook-instant-games.md)
- [Delete Facebook Instant Games](/api-reference/addon/delete-facebook-instant-games.md)
- [Link Facebook Instant Games Id](/services/playfab/api-references/rest/client/account-management/link-facebook-instant-games-id.md)
- [Login With Facebook Instant Games Id](/services/playfab/api-references/rest/client/authentication/login-with-facebook-instant-games-id.md)
